# Uses of Class
org.eclipse.birt.chart.computation.withaxes.OneAxis

Packages that use OneAxis
Package
Description
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of OneAxis in org.eclipse.birt.chart.computation.withaxes

Fields in org.eclipse.birt.chart.computation.withaxes declared as OneAxis
Modifier and Type
Field
Description
`final OneAxis`
AutoScale.ScaleInfo.`oax`
Methods in org.eclipse.birt.chart.computation.withaxes that return OneAxis
Modifier and Type
Method
Description
`OneAxis`
AllAxes.`getAncillaryBase()`
`OneAxis`
AllAxes.`getOverlay(int iAxisIndex)`
`OneAxis`
AllAxes.`getPrimaryBase()`
`OneAxis`
AllAxes.`getPrimaryOrthogonal()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type OneAxis
Modifier and Type
Method
Description
`static AxisLabelTextProvider`
AxisLabelTextProvider.`create(OneAxis oax)`
`Rectangle`
PlotWith3DAxes.`getAxisLabelBoundingRectXZ(OneAxis oax)`
`Rectangle[]`
PlotWith3DAxes.`getAxisLabelBoundingRectY(OneAxis oax)`
`static void`
AutoScale.`setNumberMinMaxToScale(AutoScale sc, Object oMinimum, Object oMaximum, RunTimeContext rtc, OneAxis ax)`
Updates AutoScale by checking min or max
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type OneAxis
Modifier
Constructor
Description
``
`HorizontalAxesAdjuster(OneAxis[] horizontalAxes, OneAxis verticalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
Constructor.
``
`HorizontalAxisAdjuster(OneAxis horizontalAxis, OneAxis verticalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
``
`ScaleInfo(PlotComputation plotComp, int iType, RunTimeContext rtc, FormatSpecifier fs, OneAxis ax, int iScaleDirection, boolean bExpandMinMax)`
``
`VerticalAxesAdjuster(OneAxis[] verticalAxes, OneAxis horizontalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
Constructor.
``
`VerticalAxisAdjuster(OneAxis verticalAxis, OneAxis horizontalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
Constructor.

## Uses of OneAxis in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type OneAxis
Modifier and Type
Method
Description
`double[]`
IAxesDecorator.`computeDecorationThickness(IDisplayServer xs, OneAxis ax)`
Returns the thickness for use with decoration.
`void`
IAxesDecorator.`decorateAxes(IPrimitiveRenderer ipr, ISeriesRenderingHints isrh, OneAxis ax)`
Perform decoration.
`IAxesDecorator`
AxesRenderer.`getAxesDecorator(OneAxis ax)`
Returns the decorator renderer associated with current series, default is none.
`IAxesDecorator`
BaseRenderer.`getAxesDecorator(OneAxis ax)`
Returns the decorator renderer associated with current series, default is none.
`final void`
AxesRenderer.`renderEachAxis(IPrimitiveRenderer ipr, Plot pl, OneAxis ax, int iWhatToDraw)`
Renders the axis.